Request
Request header parameters
Request header parameters
Request query parameters
Request query parameters
Example request
Example request
bash
Response
Response codes
Response codes
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
An export of the product data in Elevate 4 in the Admin v4 Json format.
GET https://{cluster-id}.elevate-api.cloud/api/admin/v4/export/upgrade-catalog
Request header parameters
| Name | Description | Example |
|---|---|---|
Api-Key* | API key supplied during onboarding. | 123456789.. |
Accept-Encoding | Allows responses to be compressed using Gzip. | gzip |
Request query parameters
| Name | Description | Example |
|---|---|---|
contentKeys | A pipe-separated list of specific content keys to include. If no limits are set, all will be returned. | <CONTENT_KEY_FROM_YOUR_FEED>|<CONTENT_KEY_FROM_YOUR_FEED> |
contentLimit | The number of contents to include. If no limits are set, all will be returned. | 10 |
defaultLocale | The locale to base default values in the new format on. | en-GB |
defaultMarket | The market to base default values in the new format on. | UK |
productGroupKeys | A pipe-separated list of specific product group keys to include. If no limits are set, all will be returned. | <PRODUCT_GROUP_KEY_FROM_YOUR_FEED>|<PRODUCT_GROUP_KEY_FROM_YOUR_FEED> |
productGroupLimit | The number of product groups to include. If no limits are set, all will be returned. | 10 |
productKeys | A pipe-separated list of specific product keys to include. If no limits are set, all will be returned. | <PRODUCT_KEY_FROM_YOUR_FEED>|<PRODUCT_KEY_FROM_YOUR_FEED> |
variantKeys | A pipe-separated list of specific variant keys to include. If no limits are set, all will be returned. | <VARIANT_KEY_FROM_YOUR_FEED>|<VARIANT_KEY_FROM_YOUR_FEED> |
Example request
curl -i \
-X GET \
-H 'Api-Key: 123456789..' \
-H 'Accept-Encoding: null' \
"https://{cluster-id}.elevate-api.cloud/api/admin/v4/export/upgrade-catalog?contentKeys=contentKeys&contentLimit=contentLimit&defaultLocale=defaultLocale&defaultMarket=defaultMarket&productGroupKeys=productGroupKeys&productGroupLimit=productGroupLimit&productKeys=productKeys&variantKeys=variantKeys"
Response codes
| Status | Description |
|---|---|
200 | Query accepted. The data will be returned as an application/json-object. |
204 | The cluster is already upgraded. |
400 | Invalid or missing required arguments. |
403 | Incorrect cluster credentials. |
404 | Cluster not found. |
406 | No acceptable encoding found in Accept-Encoding header. |
500 | Server error such as cluster unavailable, busy or internal error. If 5xx errors persist, contact support and attach any information found in the response body. |
503 | The server in the cluster that received the request is currently unavailable or busy. It is recommended to retry the request. The time between request attempts should be increasing. |
